package com.java2s.common;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Embeddable;

@Embeddable
public class ProfessorId implements Serializable{
  private String country;

  @Column(name = "EMP_ID")
  private int id;

  public ProfessorId() {
  }

  public ProfessorId(String country, int id) {
    this.country = country;
    this.id = id;
  }

  public String getCountry() {
    return country;
  }

  public int getId() {
    return id;
  }

  public boolean equals(Object o) {
    return ((o instanceof ProfessorId) && country.equals(((ProfessorId) o).getCountry()) && id == ((ProfessorId) o)
        .getId());

  }

  public int hashCode() {
    return country.hashCode() + id;
  }
}
